shishi_error(3)

NAME
shishi_error - API function

SYNOPSIS
#include <shishi.h>

const char * shishi_error(Shishi * handle);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

DESCRIPTION
Extract detailed error information string. Note that the memory is managed by the Shishi library, so you must not deallocate the string.

RETURN VALUE
Returns pointer to error information string, that must not be deallocate by caller.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.